Syncfusion AI Assistant

How can I help you?

History in React Document editor component

29 Aug 20252 minutes to read

Document Editor tracks the history of all editing actions done in the document, which allows undo and redo functionality.

Enable or disable history

Inject the ‘EditorHistory’ module in your application to provide history preservation functionality for ‘DocumentEditor’. Refer to the following code example.

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import { DocumentEditorComponent, SfdtExport, Selection, Editor, EditorHistory } from '@syncfusion/ej2-react-documenteditor';


DocumentEditorComponent.Inject(SfdtExport, Selection, Editor, EditorHistory);
function App() {
  let documenteditor: DocumentEditorComponent;
  React.useEffect(() => {
    ComponentDidMount()
  }, []);
  function ComponentDidMount() {
    //Enable history module.
    documenteditor.enableEditorHistory = true;
  }
  return (
    <DocumentEditorComponent id="container" height={'330px'} ref={(scope) => { documenteditor = scope; }} isReadOnly={false} enableSelection={true} enableEditor={true} />
  );
}
export default App;
ReactDOM.render(<App />, document.getElementById('sample'));

You can enable or disable history preservation for a document editor instance any time using the ‘enableEditorHistory’ property. Refer to the following sample code.

documenteditor.enableEditorHistory = false;

Undo and redo

You can perform undo and redo by ‘CTRL+Z’ and ‘CTRL+Y’ keyboard shortcuts. Document Editor exposes API to do it programmatically.
To undo the last editing operation in document editor, refer to the following sample code.

documenteditor.editorHistory.undo();

To redo the last undone action, refer to the following code example.

documenteditor.editorHistory.redo();

Stack size

History of editing actions will be maintained in stack, so that the last item will be reverted first. By default, document editor limits the size of undo and redo stacks to 500 each respectively. However, you can customize this limit. Refer to the following sample code.

documenteditor.editorHistory.undoLimit = 400;
documenteditor.editorHistory.redoLimit = 400;

See Also

Syncfusion AI Assistant

How can I help you?

History in Vue Document editor component

29 Aug 20253 minutes to read

Document Editor tracks the history of all editing actions done in the document, which allows undo and redo functionality.

Enable or disable history

Inject the EditorHistory module in your application to provide history preservation functionality for DocumentEditor. Refer to the following code example.

<template>
  <div id="app">
    <ejs-documenteditor ref="documenteditor" :enableEditor='true' :isReadOnly='false' :enableEditorHistory='true'
      style="width: 100%;height: 100%;"></ejs-documenteditor>
  </div>
</template>
<script setup>
import { DocumentEditorComponent as EjsDocumenteditor, Editor, Selection, EditorHistory } from '@syncfusion/ej2-vue-documenteditor';
import { provide } from 'vue';

provide('DocumentEditor', [Editor, Selection, EditorHistory]);
</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>
<template>
  <div id="app">
    <ejs-documenteditor ref="documenteditor" :enableEditor='true' :isReadOnly='false' :enableEditorHistory='true'
      style="width: 100%;height: 100%;"></ejs-documenteditor>
  </div>
</template>
<script>
import { DocumentEditorComponent, Editor, Selection, EditorHistory } from '@syncfusion/ej2-vue-documenteditor';

export default {
  components: {
    'ejs-documenteditor': DocumentEditorComponent
  },
  data: function () {
    return {
    };
  },
  provide: {
    DocumentEditor: [Editor, Selection, EditorHistory]
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>

You can enable or disable history preservation for a Document Editor instance any time using the enableEditorHistory property. Refer to the following sample code.

this.$refs.documenteditor.enableEditorHistory = false;

Undo and redo

You can perform undo and redo by CTRL+Z and CTRL+Y keyboard shortcuts. Document Editor exposes API to do it programmatically.

To undo the last editing operation in Document Editor, refer to the following sample code.

this.$refs.documenteditor.ej2Instances.editorHistory.undo();

To redo the last undone action, refer to the following code example.

this.$refs.documenteditor.ej2Instances.editorHistory.redo();

Stack size

History of editing actions will be maintained in stack, so that the last item will be reverted first. By default, Document Editor limits the size of undo and redo stacks to 500 each respectively. However, you can customize this limit. Refer to the following sample code.

this.$refs.documenteditor.ej2Instances.editorHistory.undoLimit = 400;
this.$refs.documenteditor.ej2Instances.editorHistory.redoLimit = 400;

See Also